/* Copyright (c) 2004, 2023, Oracle and/or its affiliates.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License, version 2.0,
   as published by the Free Software Foundation.

   This program is also distributed with certain software (including
   but not limited to OpenSSL) that is licensed under separate terms,
   as designated in a particular file or component or in included license
   documentation.  The authors of MySQL hereby grant you an additional
   permission to link the program and your derivative works with the
   separately licensed software that they have included with MySQL.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License, version 2.0, for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA */
/*
  Do not edit this file, it is automatically generated from:
  </home/abuild/rpmbuild/BUILD/greatsql-8.0.32-25/greatsql-8.0.32-25/scripts/mysql_greatdb_tables.sql>
*/
const char* mysql_greatdb_tables[]={
"-- Copyright (c) 2023, GreatDB Software Co., Ltd.\n"
  "--\n"
  "-- This program is free software; you can redistribute it and/or modify\n"
  "-- it under the terms of the GNU General Public License, version 2.0,\n"
  "-- as published by the Free Software Foundation.\n"
  "--\n"
  "-- This program is also distributed with certain software (including\n"
  "-- but not limited to OpenSSL) that is licensed under separate terms,\n"
  "-- as designated in a particular file or component or in included license\n"
  "-- documentation.  The authors of MySQL hereby grant you an additional\n"
  "-- permission to link the program and your derivative works with the\n"
  "-- separately licensed software that they have included with MySQL.\n"
  "--\n"
  "-- This program is distributed in the hope that it will be useful,\n"
  "-- but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
  "-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n"
  "-- GNU General Public License, version 2.0, for more details.\n"
  "--\n"
  "-- You should have received a copy of the GNU General Public License\n"
  "-- along with this program; if not, write to the Free Software\n"
  "-- Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA\n"
  "--\n"
  "-- The system tables of MySQL Server\n"
  "--\n"
  "set @have_innodb= (select count(engine) from information_schema.engines where engine='INNODB' and support != 'NO');\n",
"-- Tables below are NOT treated as DD tables by MySQL server yet.\n"
  "SET FOREIGN_KEY_CHECKS= 1;\n",
"SET default_storage_engine=InnoDB;\n",
"SET NAMES utf8mb4;\n",
"SET @old_sql_mode = @@session.sql_mode, @@session.sql_mode = 'ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_"
  "ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';\n",
"CREATE TABLE IF NOT EXISTS `mysql`.`greatdb_sequences`\n"
  "(\n"
  "  `db`         VARCHAR(64)      NOT NULL,\n"
  "  `name`       VARCHAR(64)      NOT NULL,\n"
  "  `start_with` DECIMAL(28,0)    NOT NULL,\n"
  "  `minvalue`   DECIMAL(28,0)    NOT NULL,\n"
  "  `maxvalue`   DECIMAL(28,0)    NOT NULL,\n"
  "  `increment`  DECIMAL(28,0)    NOT NULL,\n"
  "  `cycle_flag` BOOLEAN          NOT NULL,\n"
  "  `cache_num`  INT UNSIGNED     NOT NULL,\n"
  "  `order_flag` BOOLEAN          NOT NULL,\n"
  "  PRIMARY KEY(`db`, `name`)\n"
  ")\n"
  "ENGINE=InnoDB STATS_PERSISTENT=0 CHARACTER SET utf8mb4 COMMENT='greatdb sequence metadata';\n",
"CREATE TABLE IF NOT EXISTS `mysql`.`greatdb_sequences_persist`\n"
  "(\n"
  "  `db`        VARCHAR(64)     NOT NULL,\n"
  "  `name`      VARCHAR(64)     NOT NULL,\n"
  "  `currval`   DECIMAL(28,0)   NOT NULL,\n"
  "  PRIMARY KEY(`db`, `name`)\n"
  ")\n"
  "ENGINE=InnoDB STATS_PERSISTENT=0 CHARACTER SET utf8mb4 COMMENT='greatdb sequence persist user data';\n",
"-- should always at the end of this file\n"
  "SET @@session.sql_mode = @old_sql_mode;\n",
NULL
};
